Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ec.cgp.problems
Class ProblemBreastCancerW.BreastCancerWRecord

    java.lang.Object
      ec.cgp.problems.ProblemBreastCancerW.BreastCancerWRecord

All Implemented Interfaces:
  Record

Enclosing class:
  ProblemBreastCancerW

    public static class ProblemBreastCancerW.BreastCancerWRecord

extends java.lang.Object
implements Record

Record to represent a classification instance.

Field Summary
`float` | `bareNuclei`
`float` | `blandChromatin`
`float` | `cellShapeUniformity`
`float` | `cellSizeUniformity`
`float` | `clumpThickness`
`boolean` | `malignant`
`float` | `marginalAdhesion`
`float` | `mitoses`
`float` | `normalNucleoli`
`float` | `singleEpiCellSize`

Constructor Summary
`ProblemBreastCancerW.BreastCancerWRecord()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### clumpThickness

    public float clumpThickness

### cellSizeUniformity

    public float cellSizeUniformity

### cellShapeUniformity

    public float cellShapeUniformity

### marginalAdhesion

    public float marginalAdhesion

### singleEpiCellSize

    public float singleEpiCellSize

### bareNuclei

    public float bareNuclei

### blandChromatin

    public float blandChromatin

### normalNucleoli

    public float normalNucleoli

### mitoses

    public float mitoses

### malignant

    public boolean malignant

Constructor Detail

### ProblemBreastCancerW.BreastCancerWRecord

    public ProblemBreastCancerW.BreastCancerWRecord()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD